io.vertx.ext.shell.command

## Interface CommandProcess

- All Superinterfaces:
    Tty

      public interface CommandProcess
      extends Tty

  The command process provides interaction with the process of the command provided by Vert.x Shell.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `args()`
    `List<CliToken>` | `argsTokens()`
    `CommandLine` | `commandLine()`
    `void` | `end()` End the process with the exit status 0
    `void` | `end(int status)` End the process.
    `CommandProcess` | `eventHandler(EventType eventType, Handler<Void> handler)` Set an event handler to be notified by Shell events.
    `Session` | `session()`
    `CommandProcess` | `setStdin(Stream stdin)` Set a stream on the standard input to read the data.
    `Vertx` | `vertx()`
    `CommandProcess` | `write(String text)`

    - ### Methods inherited from interface io.vertx.ext.shell.io.Tty

      `height, setStdin, stdout, width`

- - ### Method Detail

    - #### vertx

          Vertx vertx()

      Returns:
        the current Vert.x instance

    - #### argsTokens

          List<CliToken> argsTokens()

      Returns:
        the unparsed arguments tokens

    - #### args

          List<String> args()

      Returns:
        the actual string arguments of the command

    - #### commandLine

          CommandLine commandLine()

      Returns:
        the command line object or null

    - #### session

          Session session()

      Returns:
        the shell session

    - #### setStdin

          CommandProcess setStdin(Stream stdin)

      Description copied from interface: `Tty`
      Set a stream on the standard input to read the data.
      Specified by:
        `setStdin` in interface `Tty`
      Parameters:
        `stdin` - the standard input
      Returns:
        this object

    - #### eventHandler

          CommandProcess eventHandler(EventType eventType,
                                      Handler<Void> handler)

      Description copied from interface: `Tty`
      Set an event handler to be notified by Shell events.
      Specified by:
        `eventHandler` in interface `Tty`
      Parameters:
        `eventType` - the event type
      Returns:

    - #### write

          CommandProcess write(String text)

    - #### end

          void end()

      End the process with the exit status 0

    - #### end

          void end(int status)

      End the process.
      Parameters:
        `status` - the exit status.

Copyright © 2015. All rights reserved.